package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.entity.TaShareRecord;


/**
 * <p>
 * 拼团记录  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
public interface ITaShareRecordService extends IService<TaShareRecord> {
    ResponseBean getSuccessList(Integer pageNum, Integer pageSize, String phone, Integer status, Integer orgId);
    ResponseBean getFailAndProcessingList(Integer pageNum, Integer pageSize, String phone, Integer status, Integer orgId);
    ResponseBean validateRule(TaShareRecord taShareRecord);
    ResponseBean verifyCode(Integer activityId, String verifyCode);
	
	/**
	 * 分页获取微信端发起拼团记录
	 * @param pageNum
	 * @param pageSize
	 * @param orgId
	 * @param person
	 * @return
	 */
	ResponseBean getShareRecordList(Integer pageNum, Integer pageSize, Integer orgId, TaPerson person);
	
	/**
	 * 微信端发起我的拼团
	 * @param taShareRecord
	 * @param orgId
	 * @param person
	 * @return
	 */
	ResponseBean saveShareRecord(TaShareRecord taShareRecord, Integer orgId, TaPerson person);
}
